{
  "AbilityMixins": [
    {
      "$type": "ActionsOnPropertyChangeMixin",
      "PropertyActions": [
        {
          "CustomPropertyType": "HarumasaTrapNum",
          "CustomReferMaxPropertyType": "MaxHarumasaTrapNum",
          "IsUsePercentage": false,
          "PropertyChangeActions": [
            {
              "$type": "TriggerAbilityAction",
              "AbilityName": "Harumasa_TrapNumHandler",
              "Target": "Self"
            }
          ],
          "PropertyType": "Custom",
          "ReferMaxPropertyType": "Custom"
        }
      ]
    }
  ],
  "AbilityName": "Harumasa_TrapNumCheck",
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnAdded": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "CheckThinkIntervalModifier",
        "Target": "Self"
      }
    ]
  },
  "Modifiers": {
    "CheckThinkIntervalModifier": {
      "Duration": -1,
      "IgnoreTimeScale": true,
      "ModifierStacking": "Unique",
      "OnThinkInterval": [
        {
          "$type": "TriggerAbilityAction",
          "AbilityName": "Harumasa_TrapNumHandler",
          "Target": "Self"
        }
      ],
      "ThinkInterval": 2
    }
  }
}